QXmpp: QXmppPubSubAffiliation Class Reference

QXmpp Version: 1.14.4

Loading...
Searching...
No Matches
QXmppPubSubAffiliation Class Reference

## Public Types
enum | Affiliation { None , Member , Outcast , Owner , Publisher , PublishOnly }

## Public Member Functions
| QXmppPubSubAffiliation (Affiliation=None, const QString &node={}, const QString &jid={})
| QXmppPubSubAffiliation (const QXmppPubSubAffiliation &)
| Copy constructor.
| QXmppPubSubAffiliation (QXmppPubSubAffiliation &&)
| Move-constructor.
QXmppPubSubAffiliation & | operator= (const QXmppPubSubAffiliation &)
| Assignment operator.
QXmppPubSubAffiliation & | operator= (QXmppPubSubAffiliation &&)
| Move-assignment operator.
Affiliation | type () const
void | setType (Affiliation type)
QString | node () const
void | setNode (const QString &node)
QString | jid () const
void | setJid (const QString &jid)

## Static Public Member Functions
static bool | isAffiliation (const QDomElement &)

## Detailed Description

This class represents an affiliation of a user with a PubSub node as defined in XEP-0060: Publish-Subscribe.

See also
  QXmppPubSubIq
  QXmppPubSubEvent

Since
  QXmpp 1.5

## Member Enumeration Documentation

## ◆ Affiliation

enum QXmppPubSubAffiliation::Affiliation

This enum describes the type of the affiliation of the user with the node.

Enumerator
None | No affiliation, but may subscribe.
Member | Active member, is subscribed, can read.
Outcast | Cannot subscribe, cannot read, 'banned'.
Owner | Highest privileges, can read, publish & configure.
Publisher | May read and publish, but cannot configure node.
PublishOnly | Can only publish, cannot subscribe.

## Constructor & Destructor Documentation

## ◆ QXmppPubSubAffiliation()

QXmppPubSubAffiliation::QXmppPubSubAffiliation | ( | Affiliation | type = None,
|  | const QString & | node = {},
|  | const QString & | jid = {} )

Default constructor.

## Member Function Documentation

## ◆ isAffiliation()

bool QXmppPubSubAffiliation::isAffiliation | ( | const QDomElement & | element | ) |
| static

Returns true if the DOM element is a PubSub affiliation.

## ◆ jid()

QString QXmppPubSubAffiliation::jid | ( |  | ) | const

Returns the JID of the user.

## ◆ node()

QString QXmppPubSubAffiliation::node | ( |  | ) | const

Returns the node name of the node the affiliation belongs to.

## ◆ setJid()

void QXmppPubSubAffiliation::setJid | ( | const QString & | jid | ) |

Sets the JID of the user.

## ◆ setNode()

void QXmppPubSubAffiliation::setNode | ( | const QString & | node | ) |

Sets the node name.

## ◆ setType()

void QXmppPubSubAffiliation::setType | ( | Affiliation | type | ) |

Sets the type of the affiliation.

## ◆ type()

QXmppPubSubAffiliation::Affiliation QXmppPubSubAffiliation::type | ( |  | ) | const

Returns the type of the affiliation.

The documentation for this class was generated from the following files:

- QXmppPubSubAffiliation.h
- QXmppPubSubAffiliation.cpp